Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Interface ExtendedLexicalHandler

All Superinterfaces:
  LexicalHandler

All Known Subinterfaces:
  SerializationHandler

All Known Implementing Classes:
  EmptySerializer, SerializerBase

public interface ExtendedLexicalHandler
extends LexicalHandler

This interface has extensions to the standard SAX LexicalHandler interface. This interface is intended to be used by a serializer.

Method Summary
`void` | `comment(java.lang.String comment)` This method is used to notify of a comment

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Method Detail

### comment

    public void comment(java.lang.String comment)
                 throws SAXException

  This method is used to notify of a comment

  Parameters:
    `comment` - the comment, but unlike the SAX comment() method this method takes a String rather than a character array.
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.